RK-A2 - Feature #3809

Update given Google sheet with the list of questions that have thumbs down greater than X
03/10/2025 10:49 AM - Ram Kordale

Status: New Start date: 03/10/2025
Priority: High Due date:

Assignee: Parag Patil % Done: 0%
Category: Estimated time: 0.40 hour
Target version: Spent time: 0.00 hour
Description

Google sheet to be used:
https://docs.google.com/spreadsheets/d/1F5aDBKOGIwCZjxbegE0909rr3sgbsHD_LepQIlgRCzEA/edit?gid=0#gid=0

Input would come from a file containing zero or more of:
server=dev|qga|prod

board=<board>

grade=<grade>

subject=<subject>

threshold=X

If the input file does not exist or is empty or does not have some key value pairs, assume all matching values. For example, if the
input file does not exist, then the query would be all boards, grades and subjects. Also, if threshold is not available, assume X is 0.

Google sheet would contain zero or more entries with the following columns: board, grade, subject, style, chapter, exercise_number.
Sample code:

Ipip install --upgrade gspread google-auth
import gspread

from google.colab import auth

from google.auth import default

1. Authenticate and create the PyDrive client.
auth.authenticate_user()
creds, _ = default()
gc = gspread.authorize(creds)

1. Replace "Your Spreadsheet Name' with the actual name of your Google Sheet
spreadsheet = gc.open('Your Spreadsheet Name')

1. Select the first sheet
worksheet = spreadsheet.sheeti

rows = worksheet.get_all_values()
#do processing

1. Example: Update a specific cell
worksheet.update_acell('A1', 'Updated Value')

1. Example: Append a new row
new_row = ['Value1', 'Value2', 'Value3']
worksheet.append_row(new_row)

History

#1 - 03/11/2025 06:11 AM - Ram Kordale
- Assignee set to Dewakar Chaubey

- Estimated time set to 0.35 h

#2 - 03/11/2025 10:02 AM - Ram Kordale
https://docs.google.com/spreadsheets/d/1F5aDBK0GlwCZjxbegE0909rr3sgbsHD_LepQlgRCzEA/edit?gid=0#gid=0

- Assignee deleted (Dewakar Chaubey)
- Estimated time deleted (0.35 h)

#3 - 03/11/2025 10:11 AM - Ram Kordale

- Description updated

#4 - 03/11/2025 11:02 AM - Ram Kordale

- Description updated

#5 - 03/11/2025 11:06 AM - Ram Kordale

- Description updated

#6 - 03/11/2025 04:00 PM - Ram Kordale

- Subject changed from Update given Google sheet with the list of questions that have thumbs down greater than X to Update given Google sheet with
the list of questions that have thumbs down greater than 0

#7 - 03/14/2025 12:06 PM - Ram Kordale
- Assignee set to Parag Patil

- Estimated time set to 0.40 h

#8 - 03/14/2025 12:10 PM - Ram Kordale

- Description updated

#9 - 03/17/2025 06:11 AM - Ram Kordale

- Subject changed from Update given Google sheet with the list of questions that have thumbs down greater than 0 to Update given Google sheet with
the list of questions that have thumbs down greater than X

- Description updated
